Subject: Re: bug#11984: 24.1; segfault while deleting a window

From: Eli Zaretskii <[email-masked]>
Date: Tue, 24 Jul 2012 19:36:51 +0300

> Date: Tue, 24 Jul 2012 14:46:46 +0200
> From: martin rudalics <[email-masked]>
> CC: Russell Sim <[email-masked]>, [email-masked], 
>  "[email-masked]" <[email-masked]>
> 
> I think `delete-window-internal' can keep its decode_any_window.  I'm
> not sure about `window-buffer'.  For the remainder, the attached patch
> should be applied IMO.  Eli can you check whether this interferes with
> tooltip creation?

If you built Emacs with the change, and tooltips work for you, then I
see no reason why they won't for me.